org.apache.myfaces.trinidad.util

## Class CollectionUtils.DelegatingEntry<K,V>

- java.lang.Object
- - org.apache.myfaces.trinidad.util.CollectionUtils.DelegatingEntry<K,V>

- All Implemented Interfaces:
    Map.Entry<K,V>
  Enclosing class:
    CollectionUtils

      protected abstract static class CollectionUtils.DelegatingEntry<K,V>
      extends Object
      implements Map.Entry<K,V>

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `CollectionUtils.DelegatingEntry()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `protected abstract Map.Entry<K,V>` | `getDelegate()`
    `K` | `getKey()`
    `V` | `getValue()`
    `int` | `hashCode()`
    `V` | `setValue(V value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CollectionUtils.DelegatingEntry

          protected CollectionUtils.DelegatingEntry()

  - ### Method Detail

    - #### getDelegate

          protected abstract Map.Entry<K,V> getDelegate()

    - #### getKey

          public K getKey()

      Specified by:
        `getKey` in interface `Map.Entry<K,V>`

    - #### getValue

          public V getValue()

      Specified by:
        `getValue` in interface `Map.Entry<K,V>`

    - #### setValue

          public V setValue(V value)

      Specified by:
        `setValue` in interface `Map.Entry<K,V>`

    - #### equals

          public boolean equals(Object o)

      Specified by:
        `equals` in interface `Map.Entry<K,V>`
      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Specified by:
        `hashCode` in interface `Map.Entry<K,V>`
      Overrides:
        `hashCode` in class `Object`

Copyright © 2001-2017 The Apache Software Foundation. All Rights Reserved.